cabal-install-solver-3.10.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Solver.Modular.Message

Synopsis

- data Message
  - = Enter
  - | Leave
  - | TryP QPN POption
  - | TryF QFN Bool
  - | TryS QSN Bool
  - | Next (Goal QPN)
  - | Skip (Set Conflict)
  - | Success
  - | Failure ConflictSet FailReason
- showMessages :: Progress Message a b -> Progress String a b

# Documentation

data Message #

Constructors

Enter | increase indentation level
Leave | decrease indentation level
TryP QPN POption |
TryF QFN Bool |
TryS QSN Bool |
Next (Goal QPN) |
Skip (Set Conflict) |
Success |
Failure ConflictSet FailReason |

showMessages :: Progress Message a b -> Progress String a b #

Transforms the structured message type to actual messages (strings).

The log contains level numbers, which are useful for any trace that involves backtracking, because only the level numbers will allow to keep track of backjumps.